Skip to main content
`Ctrl`+`K`

# TaoTermL1SetEpsilon

Set an \(\epsilon\) smoothing parameter.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermL1SetEpsilon(TaoTerm term, PetscReal epsilon)

Logically collective

## Input Parameters

- term - a `TaoTerm` of type `TAOTERML1`

- epsilon - a real number \(\geq 0\)

## Options Database Keys

- -tao_term_l1_epsilon - \(\epsilon\)

If \(\epsilon = 0\) (the default), then `term` computes \(\|x - p\|_1\), but if \(\epsilon > 0\), then it computes \(\sum_{i=0}^{n-1} \left(\sqrt{(x_i-p_i)^2 + \epsilon^2} - \epsilon\right)\).

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERML1`, `TaoTermL1GetEpsilon()`

## Level

advanced

## Location

src/tao/term/impls/l1/taoterml1.c

## Implementations

TaoTermL1SetEpsilon_L1() in src/tao/term/impls/l1/taoterml1.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages